using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;
using System.Text;

public partial class Admin_YeMian_XiuGaiWenJian : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("修改文件", "网站后台", "修改文件", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        String 文件 = Request.QueryString["file"];
        if (文件 == null)
        {
            文件 = Request.QueryString["ti"];
            if (文件.StartsWith("wap_"))
                文件 = 文件.Substring(4);
            else
                文件.Substring(3);
        }
        String 文件名称_ = Request.QueryString["name"];
        String 文件位置;
        if (文件.StartsWith("/club/", StringComparison.OrdinalIgnoreCase))
            文件位置 = "~/Template/Club/" + 程序.设置["默认社区模板"] + "/WapPage" + 文件.Substring(5) + ".txt";
        else
            文件位置 = "~/Template/Content/" + 程序.设置["默认模板"] + "/WapPage" + 文件 + ".txt";
        StreamReader 读取 = new FileInfo(Server.MapPath(文件位置)).OpenText();
        String 第一行内容 = 读取.ReadLine();
        读取.Close();
        bool 是否3G = 第一行内容.StartsWith("3G_");
        String 文件名称 = 是否3G ? 第一行内容.Substring(3) : 第一行内容.Substring(4);
        if(是否3G)
            Response.Redirect("XiuGai3GWenJian.aspx?file=" + Server.UrlEncode(文件) + "&name=" + Server.UrlEncode(文件名称));
        else
            Response.Redirect("XiuGaiWAPWenJian.aspx?file=" + Server.UrlEncode(文件) + "&name=" + Server.UrlEncode(文件名称));
    }
}
